import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("career-applicant")
export class CareerApplicant extends CoreEntity {
    @Column({ default: null, nullable: true })
    jobTitle: string;

    @Column({ default: null, nullable: true })
    fullName: string;

    @Column({ default: null, nullable: true })
    email: string;

    @Column({ default: null, nullable: true })
    contactNumber: string;

    @Column({ default: null, type: "longtext", nullable: true })
    coverLetter: string;

    @Column({ default: null, nullable: true })
    resume: string;
}
